Bug 242111 - ata1:00: failed to set xfermode (err_mask=0x4)
ata1:00: failed to set xfermode (err_mask=0x4)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks: FCMETA_SATA
  Show dependency treegraph
 
Reported: 2007-06-01 14:52 EDT by Frank Cox
Modified: 2013-07-02 22:33 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:21:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg output (27.39 KB, text/plain)
2007-06-01 14:52 EDT, Frank Cox
no flags Details
output from dmesg command (35.10 KB, text/plain)
2007-06-01 19:56 EDT, Rodney Brown
no flags Details
Contents of dmesg command after boot (21.01 KB, text/plain)
2007-09-10 23:56 EDT, Raul Suarez
no flags Details
output of lspci -vvnn (9.65 KB, text/plain)
2007-09-10 23:57 EDT, Raul Suarez
no flags Details
Output of uname -a (92 bytes, text/plain)
2007-09-10 23:57 EDT, Raul Suarez
no flags Details
Output from dmesg after boot (24.36 KB, text/plain)
2007-12-24 19:18 EST, Raul Suarez
no flags Details

  None (edit)
Description Frank Cox 2007-06-01 14:52:54 EDT
Description of problem:
I updated this computer from FC6 to Fedora 7.  Now when
I first boot it, immediately after printing the "Starting Red Hat Nash" line,
it pauses and over the course of the following two minutes or so it prints the
following error message three times:

ata1:00: failed to set xfermode (err_mask=0x4)

After that it continues booting normally and everything appears to be working
as it should.


Version-Release number of selected component (if applicable):


How reproducible:
Every time


Steps to Reproduce:
1.Boot computer
2.Wait for Red Hat Nash message
3. Error messages follow.
  
Actual results:
One error message repeated 3 times with several second pause between each,
followed by the rest of the bootup process.

Expected results:
No error messages.

Additional info:
dmesg file attached.
Comment 1 Frank Cox 2007-06-01 14:52:54 EDT
Created attachment 155919 [details]
dmesg output
Comment 2 Frank Cox 2007-06-01 17:08:41 EDT
This appears to be a bios issue of some kind. I switched my IDE-Config in the
bios to "legacy" from "enhanced" (which was the default) and set it to "SATA
P0/P2,P1/P3" and my computer now boots normally without that error message.

However, on what seems to be a related note, I have discovered that my CD burner
is missing. It doesn't show up anywhere with any IDE-Config setting, either
legacy or enhanced.

(Other settings under "legacy" are "P1/P3,PATA" and "P0/P2, PATA" but none of
them make the CD drive appear.)

FC6 worked fine with the bios set to "enhanced".
Comment 3 Frank Cox 2007-06-01 17:10:04 EDT
Oh yes, one of those other bios settings that I listed above (P1/P3/PATA or
P0/P2/PATA) doesn't allow my computer to boot at all.  It just requests a
bootable media when that is set.
Comment 4 Rodney Brown 2007-06-01 19:56:22 EDT
Created attachment 155956 [details]
output from dmesg command

I'm having the same error messages at boot time that Frank has.  Here is my
dmesg output.
Comment 5 Frank Cox 2007-06-02 01:00:11 EDT
I have been doing some further experimentation with IDE-config bios settings.

The default bios IDE-config setting of "enabled" worked fine with FC6; the
computerbooted off of the hard drive and found the cdrom and everything.

However, the "enabled" setting doesn't work well with Fedora 7.  It gives me a
"ata1.00: failed to set xfermode (err_mask=0x4)" error message repeated three
times over the course of about two minutes immediately after the Red Hat Nash
line, before it continues to boot up normally.  The cdrom is not detected
after boot-up.

Changing the SATA setting to "legacy" gives me several choices.

1. SATA P0/P2, PATA detects the hard drive and the cdrom in the bios, but gives
me the above "ata1.00:failed" error just the same as the "enabled" setting.  It
also boots from the hard drive and works, but doesn't detect the cdrom after
boot-up.

2. SATA P1/P3,PATA won't boot at all and doesn't detect the cdrom in the bios.

3. PATA ONLY works just the same as #2 above.

4. SATAP0/P2,P1/P3 doesn't detect the cdrom in the bios but boots up from the
hard drive without the "ata1.00:failed" error.  It doesn't detect the cdrom
after boot-up either.

Another bios setting on the same screen, "IDE bus master", doesn't appear to
change anything if it's set to either enabled or disabled.  The default setting
is enabled.
Comment 6 Eduard Vopicka 2007-06-03 18:07:07 EDT
I am experiencing probably the same problem. There are 4 timeout messages during
boot.

The workaround seems to be to add "irqpoll" to kernel boot line. After that,
there are no timeouts, but I am not satisfied with machine performance and
responsiveness.

It appears that this is maybe bug that is known and somewhat fixed for several
months. Reference:
http://www.mail-archive.com/linux-ide@vger.kernel.org/msg03088.html or just
google for +"failed to set xfermode"

Here is an excerpt from my /var/run/dmesg which shows both timeouts messages and
disk/CD-ROM devices connected to my system.

input: Cypress  PS2toUSB KBM Bridge V2.02a as /class/input/input4
input: USB HID v1.00 Mouse [Cypress  PS2toUSB KBM Bridge V2.02a] on usb-0000:00:
1d.1-1
ata2.00: ata_hpa_resize 1: sectors = 156301488, hpa_sectors = 156301488
ata2.00: ATA-6: ST380011A, 3.04, max UDMA/100
ata2.00: 156301488 sectors, multi 16: LBA48 
ata2.01: ATAPI, max UDMA/33
ata2.00: ata_hpa_resize 1: sectors = 156301488, hpa_sectors = 156301488
ata2.00: configured for UDMA/100
ata2.01: qc timeout (cmd 0xef)
ata2.01: failed to set xfermode (err_mask=0x4)
ata2: failed to recover some devices, retrying in 5 secs
ata2.00: ata_hpa_resize 1: sectors = 156301488, hpa_sectors = 156301488
ata2.00: ata_hpa_resize 1: sectors = 156301488, hpa_sectors = 156301488
ata2.00: configured for UDMA/100
ata2.01: qc timeout (cmd 0xef)
ata2.01: failed to set xfermode (err_mask=0x4)
ata2.01: limiting speed to UDMA/33:PIO3
ata2: failed to recover some devices, retrying in 5 secs
ata2.00: ata_hpa_resize 1: sectors = 156301488, hpa_sectors = 156301488
ata2.00: ata_hpa_resize 1: sectors = 156301488, hpa_sectors = 156301488
ata2.00: configured for UDMA/100
ata2.01: qc timeout (cmd 0xef)
ata2.01: failed to set xfermode (err_mask=0x4)
ata2.01: disabled
ata2: failed to recover some devices, retrying in 5 secs
ata2.00: failed to set xfermode (err_mask=0x40)
ata2: failed to recover some devices, retrying in 5 secs
ata2.00: ata_hpa_resize 1: sectors = 156301488, hpa_sectors = 156301488
ata2.00: ata_hpa_resize 1: sectors = 156301488, hpa_sectors = 156301488
ata2.00: configured for UDMA/33
scsi 0:0:0:0: Direct-Access     ATA      ST380011A        3.04 PQ: 0 ANSI: 5
SCSI device sda: 156301488 512-byte hdwr sectors (80026 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO 
or FUA
SCSI device sda: 156301488 512-byte hdwr sectors (80026 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO 
or FUA
 sda: sda1 sda2 sda3 < sda5 sda6 sda7 >
sd 0:0:0:0: Attached scsi disk sda
scsi 1:0:0:0: Direct-Access     ATA      ST380011A        3.04 PQ: 0 ANSI: 5
SCSI device sdb: 156301488 512-byte hdwr sectors (80026 MB)
sdb: Write Protect is off
sdb: Mode Sense: 00 3a 00 00
SCSI device sdb: write cache: enabled, read cache: enabled, doesn't support DPO 
or FUA
SCSI device sdb: 156301488 512-byte hdwr sectors (80026 MB)
sdb: Write Protect is off
sdb: Mode Sense: 00 3a 00 00
SCSI device sdb: write cache: enabled, read cache: enabled, doesn't support DPO 
or FUA
 sdb: sdb1 sdb2 sdb3 < sdb5 sdb6 sdb7 >
sd 1:0:0:0: Attached scsi disk sdb
md: md0 stopped.
md: bind<sdb5>
md: bind<sda5>
raid1: raid set md0 active with 2 out of 2 mirrors
Comment 7 Sven Neuhaus 2007-06-04 09:00:05 EDT
Try the boot option "noirqdebug" instead of "irqpoll".
Comment 8 Eduard Vopicka 2007-06-05 16:15:55 EDT
2 Sven Neuhaus: Many thanks for your suggestion, but noirgdebyg alone does not
help, timeouts are back.

Maybe the best solution is to boot without both noitgdebug and irqpoll, be
patient during timeouts and once the machine boots, it runs fine. Of course,
such a long timeouts during boot are *BIG* annoyance. Hope this will be fixed in
the next kernel update.

Brgds,

Ed
Comment 9 Martin Jürgens 2007-06-06 18:27:30 EDT
Same issue with Liteon 52x CD Burner. This bug could be related to bug 242387.
Comment 10 Sven Neuhaus 2007-06-09 11:03:19 EDT
I think this bug is related to bug #242561.
It starts with "qc timeout", then there's "failed to set xfermode" and after 3
tries it gives up: "ata2.01: disabled"
Comment 11 Come David 2007-06-10 15:55:03 EDT
I have the same problem.
After "Starting Red Hat Nash" line , I have 3 messages :
ata1:00: failed to set xfermode (err_mask=0x4)

However the message number 4 is :
ata1:00: failed to set xfermode (err_mask=0x40)

And as same Frank Cox, my cd-rom is not detected on F7.

PS: Excuse me if my message is not very good or if bad unterstood what you said
 , but I'm french and I'm  young.
Comment 12 Eduard Vopicka 2007-06-16 08:19:59 EDT
kernel-2.6.21-1.3228.fc7 seems to fix this for me.
Comment 13 Rodney Brown 2007-06-16 08:59:59 EDT
Concur with comment #12, Kernel-2.6.21-3228.fc7 had no delays or atax.xx errors
at bootup.
Comment 14 TJ Hoye 2007-06-21 11:46:49 EDT
I've had this problem ever since I began mixing pata and sata drives and linux
kernels later than 2.6.15 or thereabouts.

This problem meaning a three-minute boot-up delay followed by missing ide
entries in /dev.  I eventually found that the irqpoll kernel option solved *my*
problem. 
My hardware that contributes to this, I think, is (1) an Intel ICH5 'sata'
driver in a Gigabyte mb; and (2) an ide Lite-on cdrw. I am unaware of any
performance penalty due to the irqpoll option in current Fedora or Ubuntu distros.

With Kernel-2.6.21-3228.fc7, I no longer need the irqpoll option in Fedora to
avoid the boot-up delay and the disappearance of ide assets.
Comment 15 Steve Kramer 2007-08-17 13:17:15 EDT
I've had a similar problem, but not quite the same.   When I installed f7 with
kernel 2.6.21-1.3194.fc7, (and rebuilt same kernel from Fedora sources) the
system booted fine.  With the yum update of 2.6.22.1-41.fc7, I get these errors
repeatedly:
      ata1.00: failed to set xfermode (errmask=0x40)
      COMRESET failed (-16)

This also occurs with the vanilla kernel.org 2.6.22.1 and 2.6.22.3 kernels.
The "irqpoll" in the grub.conf file had no impact on the errors.

So it looks like when others had their problems clear up on the newer kernels,
my system regressed.

I'm running a Dell XPS Gen 3 machine, 3.6Ghz, P4, 1Mb cache, with 2 disks, a
DVD-ROM, and DVD+RW. 

Here are some snippets from dmesg (with the f7 kernel that boots), with "..."
leaving out other lines:

...
ata1: SATA max UDMA/133 cmd 0xf8836d00 ctl 0x00000000 bmdma 0x00000000 irq 22
ata2: SATA max UDMA/133 cmd 0xf8836d80 ctl 0x00000000 bmdma 0x00000000 irq 22
ata3: SATA max UDMA/133 cmd 0xf8836e00 ctl 0x00000000 bmdma 0x00000000 irq 22
ata4: SATA max UDMA/133 cmd 0xf8836e80 ctl 0x00000000 bmdma 0x00000000 irq 22
...
ata1.00: ata_hpa_resize 1: sectors = 781422768, hpa_sectors = 781422768
ata1.00: ATA-7: HDS724040KLSA80, KFAOA20N, max UDMA/133
ata1.00: 781422768 sectors, multi 8: LBA48
ata1.00: ata_hpa_resize 1: sectors = 781422768, hpa_sectors = 781422768
ata1.00: configured for UDMA/133
scsi1 : ahci
ata2: SATA link down (SStatus 0 SControl 300)
scsi2 : ahci
...
ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
ata3.00: ata_hpa_resize 1: sectors = 781422768, hpa_sectors = 781422768
ata3.00: ATA-7: HDS724040KLSA80, KFAOA20N, max UDMA/133
ata3.00: 781422768 sectors, multi 8: LBA48
ata3.00: ata_hpa_resize 1: sectors = 781422768, hpa_sectors = 781422768
ata3.00: configured for UDMA/133
...
ata4: SATA link down (SStatus 0 SControl 300)
scsi 0:0:0:0: Direct-Access     ATA      HDS724040KLSA80  KFAO PQ: 0 ANSI: 5
SCSI device sda: 781422768 512-byte hdwr sectors (400088 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
SCSI device sda: 781422768 512-byte hdwr sectors (400088 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
 sda: sda1 sda2 sda3 sda4 < sda5 sda6 >
sd 0:0:0:0: Attached scsi disk sda
scsi 2:0:0:0: Direct-Access     ATA      HDS724040KLSA80  KFAO PQ: 0 ANSI: 5
SCSI device sdb: 781422768 512-byte hdwr sectors (400088 MB)
sdb: Write Protect is off
sdb: Mode Sense: 00 3a 00 00
SCSI device sdb: write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
SCSI device sdb: 781422768 512-byte hdwr sectors (400088 MB)
sdb: Write Protect is off
sdb: Mode Sense: 00 3a 00 00
SCSI device sdb: write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
 sdb: sdb1 sdb2 sdb3 sdb4 < sdb5 sdb6 >
sd 2:0:0:0: Attached scsi disk sdb
...
ata_piix 0000:00:1f.1: version 2.10ac1
ACPI: PCI Interrupt 0000:00:1f.1[A] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:1f.1 to 64
ata5: PATA max UDMA/100 cmd 0x000101f0 ctl 0x000103f6 bmdma 0x0001ffa0 irq 14
ata6: PATA max UDMA/100 cmd 0x00010170 ctl 0x00010376 bmdma 0x0001ffa8 irq 15
scsi4 : ata_piix
ata5.00: ATAPI, max UDMA/33
ata5.01: ATAPI, max UDMA/33
ata5.00: configured for UDMA/33
ata5.01: configured for UDMA/33
scsi5 : ata_piix
ata6: port disabled. ignoring.
scsi 4:0:0:0: CD-ROM            HL-DT-ST DVD-ROM GDR8163B 0D20 PQ: 0 ANSI: 5
scsi 4:0:1:0: CD-ROM            Philips  DVD+RW DVD8601   6D11 PQ: 0 ANSI: 5
...


Comment 16 Raul Suarez 2007-09-10 23:56:12 EDT
Created attachment 192271 [details]
Contents of dmesg command after boot

The problem lines are
ata2.00: failed to set xfermode (err_mask=0x1)
Comment 17 Raul Suarez 2007-09-10 23:57:15 EDT
Created attachment 192281 [details]
output of lspci -vvnn
Comment 18 Raul Suarez 2007-09-10 23:57:47 EDT
Created attachment 192291 [details]
Output of uname -a
Comment 19 Raul Suarez 2007-09-11 00:04:51 EDT
I'm getting the same problem. I am unable to access the CD/RW attached as 
master in my secondary IDE interface.

I started getting this problem after upgrading to FC7 using "yum upgrade" from 
an upto date FC6 (Up to date as of september 5, 2007)

the previous three comments are my corresponding attachments.
Comment 20 Raul Suarez 2007-09-11 00:14:09 EDT
Adding irqpool apparently made the problem go away

  kernel /boot/vmlinuz-2.6.22.4-65.fc7 ro root=LABEL=/ rhgb quiet irqpoll

Although I'm wondering if it realy went away or I'm just sweeping a problem 
under the rug as this problem didn't happen before.
Comment 21 Harsha Srinath 2007-11-04 17:22:11 EST
Happened when I tried to install F7 on vmware server. The host installation was
fine though. Here is the dmesg-
Linux version 2.6.23.1-10.fc7 (kojibuilder@xenbuilder2.fedora.redhat.com) (gcc
version 4.1.2 20070925 (Red Hat 4.1.2-27)) #1 SMP Fri Oct 19 14:35:28 EDT 2007
Command line: ro root=/dev/VolGroup00/LogVol00 rhgb quiet
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009f000 (usable)
 BIOS-e820: 000000000009f000 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000f0000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000007fee0000 (usable)
 BIOS-e820: 000000007fee0000 - 000000007fee3000 (ACPI NVS)
 BIOS-e820: 000000007fee3000 - 000000007fef0000 (ACPI data)
 BIOS-e820: 000000007fef0000 - 000000007ff00000 (reserved)
 BIOS-e820: 00000000f0000000 - 00000000f4000000 (reserved)
 BIOS-e820: 00000000fec00000 - 0000000100000000 (reserved)
Entering add_active_range(0, 0, 159) 0 entries of 3200 used
Entering add_active_range(0, 256, 524000) 1 entries of 3200 used
end_pfn_map = 1048576
DMI 2.5 present.
ACPI: RSDP 000F7030, 0024 (r2 DELL  )
ACPI: XSDT 7FEE3100, 004C (r1 DELL    AS09    42302E31 AWRD        0)
ACPI: FACP 7FEE9380, 00F4 (r3 DELL    AS09    42302E31 AWRD        0)
ACPI: DSDT 7FEE3280, 60B7 (r1 DELL    AS09        1000 MSFT  3000000)
ACPI: FACS 7FEE0000, 0040
ACPI: SLIC 7FEE9580, 0176 (r1 DELL    AS09    42302E31 AWRD        0)
ACPI: HPET 7FEE9740, 0038 (r1 DELL    AS09    42302E31 AWRD       98)
ACPI: MCFG 7FEE97C0, 003C (r1 DELL    AS09    42302E31 AWRD        0)
ACPI: APIC 7FEE94C0, 007C (r1 DELL    AS09    42302E31 AWRD        0)
Scanning NUMA topology in Northbridge 24
CPU has 2 num_cores
No NUMA configuration found
Faking a node at 0000000000000000-000000007fee0000
Entering add_active_range(0, 0, 159) 0 entries of 3200 used
Entering add_active_range(0, 256, 524000) 1 entries of 3200 used
Bootmem setup node 0 0000000000000000-000000007fee0000
Zone PFN ranges:
  DMA             0 ->     4096
  DMA32        4096 ->  1048576
  Normal    1048576 ->  1048576
Movable zone start PFN for each node
early_node_map[2] active PFN ranges
    0:        0 ->      159
    0:      256 ->   524000
On node 0 totalpages: 523903
  DMA zone: 56 pages used for memmap
  DMA zone: 1307 pages reserved
  DMA zone: 2636 pages, LIFO batch:0
  DMA32 zone: 7108 pages used for memmap
  DMA32 zone: 512796 pages, LIFO batch:31
  Normal zone: 0 pages used for memmap
  Movable zone: 0 pages used for memmap
ACPI: PM-Timer IO Port: 0x1008
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
Processor #0 (Bootup-CPU)
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
Processor #1
ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 2, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: INT_SRC_OVR (bus 0 bus_irq 14 global_irq 14 high edge)
ACPI: INT_SRC_OVR (bus 0 bus_irq 15 global_irq 15 high edge)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
ACPI: IRQ14 used by override.
ACPI: IRQ15 used by override.
Setting APIC routing to flat
ACPI: HPET id: 0x10de8201 base: 0xfefff000
Using ACPI (MADT) for SMP configuration information
swsusp: Registered nosave memory region: 000000000009f000 - 00000000000a0000
swsusp: Registered nosave memory region: 00000000000a0000 - 00000000000f0000
swsusp: Registered nosave memory region: 00000000000f0000 - 0000000000100000
Allocating PCI resources starting at 80000000 (gap: 7ff00000:70100000)
SMP: Allowing 2 CPUs, 0 hotplug CPUs
PERCPU: Allocating 41176 bytes of per cpu data
Built 1 zonelists in Node order.  Total pages: 515432
Policy zone: DMA32
Kernel command line: ro root=/dev/VolGroup00/LogVol00 rhgb quiet
Initializing CPU#0
PID hash table entries: 4096 (order: 12, 32768 bytes)
Extended CMOS year: 2000
Marking TSC unstable due to TSCs unsynchronized
time.c: Detected 2310.477 MHz processor.
Console: colour VGA+ 80x25
console [tty0] enabled
Checking aperture...
CPU 0: aperture @ 194000000 size 32 MB
Aperture too small (32 MB)
No AGP bridge found
Memory: 2057704k/2096000k available (2415k kernel code, 37908k reserved, 1370k
data, 324k init)
SLUB: Genslabs=23, HWalign=64, Order=0-1, MinObjects=4, CPUs=2, Nodes=1
Calibrating delay using timer specific routine.. 4624.52 BogoMIPS (lpj=2312260)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Dentry cache hash table entries: 262144 (order: 9, 2097152 bytes)
Inode-cache hash table entries: 131072 (order: 8, 1048576 bytes)
Mount-cache hash table entries: 256
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 512K (64 bytes/line)
CPU 0/0 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 0
SMP alternatives: switching to UP code
ACPI: Core revision 20070126
Using local APIC timer interrupts.
result 12556953
Detected 12.556 MHz APIC timer.
SMP alternatives: switching to SMP code
Booting processor 1/2 APIC 0x1
Initializing CPU#1
Calibrating delay using timer specific routine.. 4621.03 BogoMIPS (lpj=2310517)
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 512K (64 bytes/line)
CPU 1/1 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 1
AMD Athlon(tm) 64 X2 Dual Core Processor 4400+ stepping 01
Brought up 2 CPUs
sizeof(vma)=176 bytes
sizeof(page)=56 bytes
sizeof(inode)=560 bytes
sizeof(dentry)=208 bytes
sizeof(ext3inode)=760 bytes
sizeof(buffer_head)=104 bytes
sizeof(skbuff)=232 bytes
sizeof(task_struct)=2064 bytes
Time: 13:36:41  Date: 11/04/07
NET: Registered protocol family 16
No dock devices found.
ACPI: bus type pci registered
PCI: Using MMCONFIG at f0000000 - f3ffffff
PCI: No mmconfig possible on device 00:18
ACPI: EC: Look up EC in DSDT
ACPI: Interpreter enabled
ACPI: (supports S0 S3 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Transparent bridge - 0000:00:04.0
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.HUB0._PRT]
ACPI: PCI Interrupt Link [LNK1] (IRQs 5 7 9 10 11 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNK2] (IRQs 5 7 9 *10 11 14 15)
ACPI: PCI Interrupt Link [LNK3] (IRQs 5 7 9 10 11 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNK4] (IRQs 5 7 9 10 11 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNK5] (IRQs 5 7 9 10 11 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNK6] (IRQs 5 7 9 10 11 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNK7] (IRQs 5 7 9 10 11 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNK8] (IRQs 5 *7 9 10 11 14 15)
ACPI: PCI Interrupt Link [LIGP] (IRQs 5 7 9 10 11 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LP2P] (IRQs 5 7 9 10 11 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LUBA] (IRQs 5 7 9 10 *11 14 15)
ACPI: PCI Interrupt Link [LMAC] (IRQs *5 7 9 10 11 14 15)
ACPI: PCI Interrupt Link [LAZA] (IRQs 5 7 9 10 *11 14 15)
ACPI: PCI Interrupt Link [LPMU] (IRQs 5 7 9 10 11 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LSMB] (IRQs 5 7 9 *10 11 14 15)
ACPI: PCI Interrupt Link [LUB2] (IRQs 5 *7 9 10 11 14 15)
ACPI: PCI Interrupt Link [LIDE] (IRQs 5 7 9 10 11 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LSID] (IRQs 5 7 9 10 *11 14 15)
ACPI: PCI Interrupt Link [LFID] (IRQs 5 7 9 10 11 14 15) *0, disabled.
ACPI: PCI Interrupt Link [APC1] (IRQs 16) *0, disabled.
ACPI: PCI Interrupt Link [APC2] (IRQs 17) *0
ACPI: PCI Interrupt Link [APC3] (IRQs 18) *0, disabled.
ACPI: PCI Interrupt Link [APC4] (IRQs 19) *0, disabled.
ACPI: PCI Interrupt Link [APC5] (IRQs 16) *0, disabled.
ACPI: PCI Interrupt Link [APC6] (IRQs 16) *0, disabled.
ACPI: PCI Interrupt Link [APC7] (IRQs 16) *0, disabled.
ACPI: PCI Interrupt Link [APC8] (IRQs 16) *0
ACPI: PCI Interrupt Link [AIGP] (IRQs 22 23) *0, disabled.
ACPI: PCI Interrupt Link [APCF] (IRQs 22 23) *0
ACPI: PCI Interrupt Link [APCH] (IRQs 22 23) *0
ACPI: PCI Interrupt Link [APMU] (IRQs 22 23) *0, disabled.
ACPI: PCI Interrupt Link [AAZA] (IRQs 22 23) *0
ACPI: PCI Interrupt Link [APCS] (IRQs 22 23) *0
ACPI: PCI Interrupt Link [APCL] (IRQs 22 23) *0
ACPI: PCI Interrupt Link [APCM] (IRQs 22 23) *0, disabled.
ACPI: PCI Interrupt Link [APCZ] (IRQs 22 23) *0, disabled.
ACPI: PCI Interrupt Link [APSI] (IRQs 20) *0
ACPI: PCI Interrupt Link [APSJ] (IRQs 21) *0, disabled.
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
ACPI: bus type pnp registered
pnp: PnP ACPI: found 10 devices
ACPI: ACPI bus type pnp unregistered
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
hpet0: at MMIO 0xfefff000, IRQs 2, 8, 31
hpet0: 3 32-bit timers, 25000000 Hz
Time: hpet clocksource has been installed.
pnp: 00:01: ioport range 0x1000-0x107f has been reserved
pnp: 00:01: ioport range 0x1080-0x10ff has been reserved
pnp: 00:01: ioport range 0x1400-0x147f has been reserved
pnp: 00:01: ioport range 0x1480-0x14ff has been reserved
pnp: 00:01: ioport range 0x1800-0x187f has been reserved
pnp: 00:01: ioport range 0x1880-0x18ff has been reserved
pnp: 00:08: iomem range 0xf0000000-0xf3ffffff could not be reserved
pnp: 00:09: iomem range 0xce200-0xcffff has been reserved
pnp: 00:09: iomem range 0xf0000-0xf7fff could not be reserved
pnp: 00:09: iomem range 0xf8000-0xfbfff could not be reserved
pnp: 00:09: iomem range 0xfc000-0xfffff could not be reserved
PCI: Bridge: 0000:00:04.0
  IO window: c000-cfff
  MEM window: fdd00000-fddfffff
  PREFETCH window: fde00000-fdefffff
PCI: Bridge: 0000:00:09.0
  IO window: b000-bfff
  MEM window: fa000000-fcffffff
  PREFETCH window: e0000000-efffffff
PCI: Bridge: 0000:00:0b.0
  IO window: a000-afff
  MEM window: fdc00000-fdcfffff
  PREFETCH window: fdb00000-fdbfffff
PCI: Setting latency timer of device 0000:00:04.0 to 64
PCI: Setting latency timer of device 0000:00:09.0 to 64
PCI: Setting latency timer of device 0000:00:0b.0 to 64
NET: Registered protocol family 2
IP route cache hash table entries: 65536 (order: 7, 524288 bytes)
TCP established hash table entries: 262144 (order: 10, 6291456 bytes)
TCP bind hash table entries: 65536 (order: 8, 1048576 bytes)
TCP: Hash tables configured (established 262144 bind 65536)
TCP reno registered
checking if image is initramfs... it is
Freeing initrd memory: 3737k freed
audit: initializing netlink socket (disabled)
audit(1194183401.493:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 512 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
ksign: Installing public key data
Loading keyring
- Added public key 1BBF34BB9191DE21
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
Boot video device is 0000:02:00.0
PCI: Setting latency timer of device 0000:00:09.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:09.0:pcie00]
Allocate Port Service[0000:00:09.0:pcie03]
PCI: Setting latency timer of device 0000:00:0b.0 to 64
assign_interrupt_mode Found MSI capability
Allocate Port Service[0000:00:0b.0:pcie00]
Allocate Port Service[0000:00:0b.0:pcie03]
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
ACPI: Fan [FAN] (on)
ACPI: Thermal Zone [THRM] (18 C)
Real Time Clock Driver v1.12ac
hpet_resources: 0xfefff000 is busy
Non-volatile memory driver v1.2
Linux agpgart interface v0.102
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
input: Macintosh mouse button emulation as /class/input/input0
PNP: No PS/2 controller found. Probing ports directly.
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
usbcore: registered new interface driver hiddev
usbcore: registered new interface driver usbhid
drivers/hid/usbhid/hid-core.c: v2.6:USB HID core driver
TCP cubic registered
Initializing XFRM netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
powernow-k8: Found 1 AMD Athlon(tm) 64 X2 Dual Core Processor 4400+ processors
(2 cpu cores) (version 2.00.00)
powernow-k8: MP systems not supported by PSB BIOS structure
powernow-k8: MP systems not supported by PSB BIOS structure
  Magic number: 15:289:634
Freeing unused kernel memory: 324k freed
Write protecting the kernel read-only data: 1012k
USB Universal Host Controller Interface driver v3.0
ohci_hcd: 2006 August 04 USB 1.1 'Open' Host Controller (OHCI) Driver
ACPI: PCI Interrupt Link [APCF] enabled at IRQ 23
ACPI: PCI Interrupt 0000:00:02.0[A] -> Link [APCF] -> GSI 23 (level, low) -> IRQ 23
PCI: Setting latency timer of device 0000:00:02.0 to 64
ohci_hcd 0000:00:02.0: OHCI Host Controller
ohci_hcd 0000:00:02.0: new USB bus registered, assigned bus number 1
ohci_hcd 0000:00:02.0: irq 23, io mem 0xfe02f000
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 10 ports detected
ACPI: PCI Interrupt Link [APCL] enabled at IRQ 22
ACPI: PCI Interrupt 0000:00:02.1[B] -> Link [APCL] -> GSI 22 (level, low) -> IRQ 22
PCI: Setting latency timer of device 0000:00:02.1 to 64
ehci_hcd 0000:00:02.1: EHCI Host Controller
ehci_hcd 0000:00:02.1: new USB bus registered, assigned bus number 2
ehci_hcd 0000:00:02.1: debug port 1
PCI: cache line size of 64 is not supported by device 0000:00:02.1
ehci_hcd 0000:00:02.1: irq 22, io mem 0xfe02e000
ehci_hcd 0000:00:02.1: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 10 ports detected
SCSI subsystem initialized
libata version 2.21 loaded.
sata_nv 0000:00:08.0: version 3.5
ACPI: PCI Interrupt Link [APSI] enabled at IRQ 20
ACPI: PCI Interrupt 0000:00:08.0[A] -> Link [APSI] -> GSI 20 (level, low) -> IRQ 20
PCI: Setting latency timer of device 0000:00:08.0 to 64
scsi0 : sata_nv
scsi1 : sata_nv
ata1: SATA max UDMA/133 cmd 0x00000000000109f0 ctl 0x0000000000010bf2 bmdma
0x000000000001d800 irq 20
ata2: SATA max UDMA/133 cmd 0x0000000000010970 ctl 0x0000000000010b72 bmdma
0x000000000001d808 irq 20
usb 1-4: new full speed USB device using ohci_hcd and address 2
ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
ata1.00: ATA-7: ST3250820AS, 3.ADG, max UDMA/133
ata1.00: 488281250 sectors, multi 1: LBA48 NCQ (depth 0/32)
ata1.00: configured for UDMA/133
usb 1-4: configuration #1 chosen from 1 choice
hub 1-4:1.0: USB hub found
hub 1-4:1.0: 4 ports detected
usb 1-4.1: new low speed USB device using ohci_hcd and address 3
ata2: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
usb 1-4.1: configuration #1 chosen from 1 choice
input: Dell Dell USB Keyboard as /class/input/input1
input: USB HID v1.10 Keyboard [Dell Dell USB Keyboard] on usb-0000:00:02.0-4.1
ata2.00: ATAPI: HL-DT-STDVD+-RW GSA-H31N, B109, max UDMA/100
ata2.00: configured for UDMA/100
scsi 0:0:0:0: Direct-Access     ATA      ST3250820AS      3.AD PQ: 0 ANSI: 5
sd 0:0:0:0: [sda] 488281250 512-byte hardware sectors (250000 MB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
sd 0:0:0:0: [sda] 488281250 512-byte hardware sectors (250000 MB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
 sda: sda1 sda2 sda3 sda4 < sda5 sda6 >
sd 0:0:0:0: [sda] Attached SCSI disk
scsi 1:0:0:0: CD-ROM            HL-DT-ST DVD+-RW GSA-H31N B109 PQ: 0 ANSI: 5
pata_amd 0000:00:06.0: version 0.3.9
PCI: Setting latency timer of device 0000:00:06.0 to 64
scsi2 : pata_amd
scsi3 : pata_amd
ata3: PATA max UDMA/133 cmd 0x00000000000101f0 ctl 0x00000000000103f6 bmdma
0x000000000001f000 irq 14
ata4: PATA max UDMA/133 cmd 0x0000000000010170 ctl 0x0000000000010376 bmdma
0x000000000001f008 irq 15
ata4: port disabled. ignoring.
device-mapper: ioctl: 4.11.0-ioctl (2006-10-12) initialised: dm-devel@redhat.com
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
SELinux:  Disabled at runtime.
SELinux:  Unregistering netfilter hooks
audit(1194183409.854:2): selinux=0 auid=4294967295
sd 0:0:0:0: Attached scsi generic sg0 type 0
scsi 1:0:0:0: Attached scsi generic sg1 type 5
ACPI: PCI Interrupt Link [APC2] enabled at IRQ 17
ACPI: PCI Interrupt 0000:01:09.0[A] -> Link [APC2] -> GSI 17 (level, low) -> IRQ 17
ssb: Sonics Silicon Backplane found on PCI device 0000:01:09.0
forcedeth.c: Reverse Engineered nForce ethernet driver. Version 0.60.
ACPI: PCI Interrupt Link [APCH] enabled at IRQ 23
ACPI: PCI Interrupt 0000:00:07.0[A] -> Link [APCH] -> GSI 23 (level, low) -> IRQ 23
PCI: Setting latency timer of device 0000:00:07.0 to 64
forcedeth: using HIGHDMA
sr0: scsi3-mmc drive: 48x/48x writer cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20
sr 1:0:0:0: Attached scsi CD-ROM sr0
input: Power Button (FF) as /class/input/input2
ACPI: Power Button (FF) [PWRF]
input: Power Button (CM) as /class/input/input3
ACPI: Power Button (CM) [PWRB]
b43-phy0: Broadcom 4318 WLAN found
b43-phy0 debug: Found PHY: Analog 3, Type 2, Revision 7
b43-phy0 debug: Found Radio: Manuf 0x17F, Version 0x2050, Revision 8
phy0: Selected rate control algorithm 'simple'
nvidia: module license 'NVIDIA' taints kernel.
eth0: forcedeth.c: subsystem: 01028:020e bound to 0000:00:07.0
i2c-adapter i2c-0: nForce2 SMBus adapter at 0x1c00
i2c-adapter i2c-1: nForce2 SMBus adapter at 0x1c40
ACPI: PCI Interrupt Link [AAZA] enabled at IRQ 22
ACPI: PCI Interrupt 0000:00:05.0[B] -> Link [AAZA] -> GSI 22 (level, low) -> IRQ 22
PCI: Setting latency timer of device 0000:00:05.0 to 64
hda_codec: Unknown model for ALC883, trying auto-probe from BIOS...
ACPI: PCI Interrupt Link [APC8] enabled at IRQ 16
ACPI: PCI Interrupt 0000:02:00.0[A] -> Link [APC8] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:02:00.0 to 64
NVRM: loading NVIDIA UNIX x86_64 Kernel Module  100.14.19  Wed Sep 12 14:08:38
PDT 2007
net eth1: device_rename: sysfs_create_symlink failed (-17)
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
floppy0: no floppy controllers found
device-mapper: multipath: version 1.0.5 loaded
EXT3 FS on dm-0, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on sda5, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
Adding 2031608k swap on /dev/VolGroup00/LogVol01.  Priority:-1 extents:1
across:2031608k
audit(1194212231.323:3): audit_pid=1917 old=0 by auid=4294967295
Bluetooth: Core ver 2.11
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: L2CAP ver 2.8
Bluetooth: L2CAP socket layer initialized
Bluetooth: HIDP (Human Interface Emulation) ver 1.2
Bridge firewalling registered
virbr0: Dropping NETIF_F_UFO since no NETIF_F_HW_CSUM feature.
ip_tables: (C) 2000-2006 Netfilter Core Team
Netfilter messages via NETLINK v0.30.
nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
vnet1: Dropping NETIF_F_UFO since no NETIF_F_HW_CSUM feature.
vnet0: Dropping NETIF_F_UFO since no NETIF_F_HW_CSUM feature.
eth0: no IPv6 routers present
virbr0: no IPv6 routers present
vnet0: no IPv6 routers present
tun: Universal TUN/TAP device driver, 1.6
tun: (C) 1999-2004 Max Krasnyansky <maxk@qualcomm.com>
vnet1: no IPv6 routers present
Comment 22 Martin Jürgens 2007-11-05 01:26:56 EST
As already mentioned, it should work fine with an update Fedora 7 DVD from
Fedoraunity and with Fedora 8.
Comment 23 Raul Suarez 2007-12-24 19:18:01 EST
Created attachment 290366 [details]
Output from dmesg after boot

I am using FC8 and the problem is still there

Here is the output for my uname -a

Linux luisraul 2.6.23.9-85.fc8 #1 SMP Fri Dec 7 15:49:59 EST 2007 i686 i686
i386
Comment 24 Nobel 2008-03-20 16:51:53 EDT
(In reply to comment #0)
> Description of problem:
> I updated this computer from FC6 to Fedora 7.  Now when
> I first boot it, immediately after printing the "Starting Red Hat Nash" line,
> it pauses and over the course of the following two minutes or so it prints 
the
> following error message three times:
> ata1:00: failed to set xfermode (err_mask=0x4)
> After that it continues booting normally and everything appears to be working
> as it should.
> Version-Release number of selected component (if applicable):
> How reproducible:
> Every time
> Steps to Reproduce:
> 1.Boot computer
> 2.Wait for Red Hat Nash message
> 3. Error messages follow.
>   
> Actual results:
> One error message repeated 3 times with several second pause between each,
> followed by the rest of the bootup process.
> Expected results:
> No error messages.
> Additional info:
> dmesg file attached.

I solved the message problem on Linux luisraul 2.6.20 with irqpoll, but the 
disk access performance is very low such as 20MB/s which should be ususally 
above 40MB/s.
What should I do to resolve this performance problem ?

Comment 25 Bug Zapper 2008-05-14 08:43:06 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 Bug Zapper 2008-06-16 21:21:06 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.